# encoding: utf-8

class ExperienceCategory
  include Mongoid::Document
  include Mongoid::Timestamps
  include OrbitCoreLib::ObjectAuthable
  include OrbitCoreLib::ObjectDisable
  # include Mongoid::MultiParameterAttributes
  AfterObjectAuthUrl = '/panel/personal_experience/back_end/experience_categorys'
  APP_NAME = 'experience'
  # ObjectAuthTitlesOptions = %W{edit}
  ObjectAuthTitlesOptions = %W{submit_new fact_check}

  field :key
  
  field :title, localize: true
  
  has_many :experiences
  
  def pp_object
    title
  end
  
end